Can you help me with S/M patch version ?

Discussion in '3DS - Flashcards & Custom Firmwares' started by lionceaudelta, Jan 22, 2017.

  1. lionceaudelta
    OP

    lionceaudelta Advanced Member

    Newcomer
    52
    3
    Jun 23, 2015
    France
    Hello ,

    I'm actually trying to run a patch for Pokemon Moon. To begin, I would just want to play with the no outlines patch. So here's what I have :

    • My Hacked N3DS in 11.2.0-35E
    • Pokemon Moon installed from the cia file
    • The patch (0004000000164800.bin) placed like that SD/luma/code_sections/0004000000164800.bin
    • Activated game patching

    But the game still launch with outlines, any ideas where it could come from ?
    Ask me if you need more information about my setup.[​IMG] [​IMG]
     
  2. RustInPeace

    RustInPeace Samurai Cop

    Member
    2,719
    2,035
    Oct 13, 2014
    United States
    Rename the .bin to "code.bin."
     
  3. lionceaudelta
    OP

    lionceaudelta Advanced Member

    Newcomer
    52
    3
    Jun 23, 2015
    France
    I tried, changed nothing.
     
  4. RustInPeace

    RustInPeace Samurai Cop

    Member
    2,719
    2,035
    Oct 13, 2014
    United States

    You're using a commit of Luma that changed the file/directory structure for game patching. The directory should be luma/titles/0004000000164800/code.bin.
     
  5. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    7,827
    3,104
    Mar 16, 2012
    United States
    And it should be code.ips for luma nightly, not code.bin.
     
  6. lionceaudelta
    OP

    lionceaudelta Advanced Member

    Newcomer
    52
    3
    Jun 23, 2015
    France
    And, can I just rename code.bin to code.ips ?
     
  7. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    7,827
    3,104
    Mar 16, 2012
    United States
    I would use the actual IPS file, so no.
     
  8. RustInPeace

    RustInPeace Samurai Cop

    Member
    2,719
    2,035
    Oct 13, 2014
    United States
    code.bin works as well, but I think the more widespread option is code.ips.
     
  9. lionceaudelta
    OP

    lionceaudelta Advanced Member

    Newcomer
    52
    3
    Jun 23, 2015
    France
    So, I did what you said and I get that :
    [​IMG]

    Now, when I'm launching the game, it stucks at the 3DS background with waves and last forever ... ?
    [​IMG]
     
  10. F4LK

    F4LK GBAtemp Regular

    Member
    189
    138
    Jan 9, 2017
    Sweden
  11. lionceaudelta
    OP

    lionceaudelta Advanced Member

    Newcomer
    52
    3
    Jun 23, 2015
    France
    F4LK likes this.
  12. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,224
    478
    Oct 11, 2016
    United States
    Imagination
    If you're using .bin files, just roll back to the last stable version of Luma. That's the easiest fix...
     
  13. lionceaudelta
    OP

    lionceaudelta Advanced Member

    Newcomer
    52
    3
    Jun 23, 2015
    France
    Hello ! Since the last time, I never succeded to get my randomized Pokemon Moon game.

    But I went back to it since 3 days I'm on it !
    I think I am close, I did everything as shown in this tutoriel :



    But when launching my game I always have it :
    [​IMG]

    What is wrong ?
     
  14. Majickhat55

    Majickhat55 The Red Woman

    Member
    3,215
    1,515
    Mar 28, 2016
    United States
    Asshai
    Is your Pokemon game updated all the way? Meaning it's on v1.2? Anyway, you need to patch your Code.bin to use for v1.2 to make it work properly. You also need to be using a code.bin from the 1.2 update CIA, not the game itself. (Unless you want to play without updates)

    You can use THIS to create your own custom IPS patch with whatever codes/edits you want included. It's pretty nice actually.
     
    Last edited by Majickhat55, Aug 13, 2017
  15. lionceaudelta
    OP

    lionceaudelta Advanced Member

    Newcomer
    52
    3
    Jun 23, 2015
    France
    No, I have not the 1.2 update, I want to play without updates. (Is that a problem)

    For information, here is what's on my SD card :
    [​IMG]

    So is it because I'm using an ips instead of a bin ?
     
  16. Majickhat55

    Majickhat55 The Red Woman

    Member
    3,215
    1,515
    Mar 28, 2016
    United States
    Asshai
    No, not a problem at all. I just noticed on the video you linked he has the patches for v1.1 linked in the description. Extract your code.bin from the full game with GodMode9 and patch that with the program I linked, then try the IPS.

    Also, you don't need the "luma/code_sections" directory anymore. Just the one in your first pic. And is there a specific reason you don't want to update your game? The program I linked only works with v1.2..... I believe you can find the older version on their repo for the vanilla games too though.

    — Posts automatically merged - Please don't double post! —

    Aha! I found the V1.0 patches you can use with the batch tool, if you don't want to update.

    — Posts automatically merged - Please don't double post! —

    Here, I actually made you one. Just copy this Luma folder to the root of your SD card, and let it replace your current "code.ips" and let me know if that works for you. It's for v1.0 of the game...
     

    Attached Files:

    Last edited by Majickhat55, Aug 13, 2017